public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-action/minetest/
Date: Wed,  9 Sep 2015 16:26:50 +0000 (UTC)	[thread overview]
Message-ID: <1441815466.efc6de2c30bca5986395b14203e52e0c4aaf3bf0.mgorny@gentoo> (raw)

commit:     efc6de2c30bca5986395b14203e52e0c4aaf3bf0
Author:     Martin-Kevin Neumann <maddin081591 <AT> gmail <DOT> com>
AuthorDate: Sat Aug 22 11:01:37 2015 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Sep  9 16:17:46 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=efc6de2c

game-action/minetest: Version bump to 0.4.13

 games-action/minetest/Manifest               |   1 +
 games-action/minetest/metadata.xml           |   3 +-
 games-action/minetest/minetest-0.4.13.ebuild | 136 +++++++++++++++++++++++++++
 3 files changed, 139 insertions(+), 1 deletion(-)

diff --git a/games-action/minetest/Manifest b/games-action/minetest/Manifest
index e05f300..0b610c5 100644
--- a/games-action/minetest/Manifest
+++ b/games-action/minetest/Manifest
@@ -1 +1,2 @@
 DIST minetest-0.4.10.tar.gz 5291236 SHA256 05d15c8e2c8e53ee9d3006e79c2b59200311a7b879220d8b6f6a6fd2acf806b6 SHA512 0d2f2590df530df9bed11a08a3e67dfa39dae1987b8c1f6a4f4f2ace2c40dea3b5afce445e3b2e17b2bd8a426bdd53d717989018f5da531b1eb10965d953c3bf WHIRLPOOL 016c2bc6f9aed44943f238491c445f48013f76a74f9c09e56c1e70e03fa3ded72b042b9dffa0bed81a9dcdc84358a9be88bbf32119dd45a1e2a9873031be1009
+DIST minetest-0.4.13.tar.gz 8366306 SHA256 40bafab13e20e7a550ceaa25ef82dd7b4b8188ee8e8080e1ae9295b82603d5e1 SHA512 e2228f540d3b982515de85635a84e5f157894b5eb1c654da76e1f69e398c69ff0d4d569a5035146b5c80130e9353e020c86c6acc20813075cfd7c9e5c2df2652 WHIRLPOOL 4048db2da06cfb161b794359e4a24573c51553ec98a022295d8de4623c64ac9d235d4cf8ec7a842bdafc91aa147d244ed4aed3991064b5dcb42932fafa42da7b

diff --git a/games-action/minetest/metadata.xml b/games-action/minetest/metadata.xml
index e8a8611..2d7fb9c 100644
--- a/games-action/minetest/metadata.xml
+++ b/games-action/minetest/metadata.xml
@@ -1,7 +1,6 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
-	<herd>games</herd>
 	<herd>proxy-maintainers</herd>
 	<maintainer>
 		<email>maddin081591@gmail.com</email>
@@ -45,6 +44,8 @@
 		<flag name="redis">Enable redis backend via
 			<pkg>dev-libs/hiredis</pkg>
 		</flag>
+		<flag name="spatial">Enable SpatialIndex AreaStore backend
+		</flag>
 		<flag name="server">Build minetest server</flag>
 	</use>
 	<upstream>

diff --git a/games-action/minetest/minetest-0.4.13.ebuild b/games-action/minetest/minetest-0.4.13.ebuild
new file mode 100644
index 0000000..469a61a
--- /dev/null
+++ b/games-action/minetest/minetest-0.4.13.ebuild
@@ -0,0 +1,136 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit cmake-utils eutils gnome2-utils user vcs-snapshot
+
+DESCRIPTION="An InfiniMiner/Minecraft inspired game"
+HOMEPAGE="http://minetest.net/"
+SRC_URI="http://github.com/minetest/minetest/tarball/${PV} -> ${P}.tar.gz"
+
+LICENSE="LGPL-2.1+ CC-BY-SA-3.0 OFL-1.1 Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+curl dedicated doc leveldb luajit nls redis +server +sound spatial +truetype"
+
+RDEPEND="dev-db/sqlite:3
+	sys-libs/zlib
+	curl? ( net-misc/curl )
+	!dedicated? (
+		app-arch/bzip2
+		>=dev-games/irrlicht-1.8-r2
+		dev-libs/gmp:0
+		media-libs/libpng:0
+		virtual/jpeg:0
+		virtual/opengl
+		x11-libs/libX11
+		x11-libs/libXxf86vm
+		sound? (
+			media-libs/libogg
+			media-libs/libvorbis
+			media-libs/openal
+		)
+		truetype? ( media-libs/freetype:2 )
+	)
+	leveldb? ( dev-libs/leveldb )
+	luajit? ( dev-lang/luajit:2 )
+	nls? ( virtual/libintl )
+	redis? ( dev-libs/hiredis )
+	spatial? ( sci-libs/libspatialindex )"
+DEPEND="${RDEPEND}
+	>=dev-games/irrlicht-1.8-r2
+	doc? ( app-doc/doxygen media-gfx/graphviz )
+	nls? ( sys-devel/gettext )"
+
+pkg_setup() {
+	if use server || use dedicated ; then
+		enewgroup ${PN}
+		enewuser ${PN} -1 -1 /var/lib/${PN} ${PN}
+	fi
+}
+
+src_prepare() {
+	# set paths
+	sed \
+		-e "s#@BINDIR@#/usr/bin#g" \
+		-e "s#@GROUP@#${PN}#g" \
+		"${FILESDIR}"/minetestserver.confd > "${T}"/minetestserver.confd || die
+}
+
+src_configure() {
+	local mycmakeargs=(
+		$(usex dedicated "-DBUILD_SERVER=ON -DBUILD_CLIENT=OFF" "$(cmake-utils_use_build server SERVER) -DBUILD_CLIENT=ON")
+		-DCUSTOM_BINDIR="/usr/bin"
+		-DCUSTOM_DOCDIR="/usr/share/doc/${PF}"
+		-DCUSTOM_LOCALEDIR="/usr/share/${PN}/locale"
+		-DCUSTOM_SHAREDIR="/usr/share/${PN}"
+		-DCUSTOM_EXAMPLE_CONF_DIR="/usr/share/doc/${PF}"
+		-DENABLE_CURL=$(usex curl)
+		$(cmake-utils_use_enable truetype FREETYPE)
+		$(cmake-utils_use_enable nls GETTEXT)
+		-DENABLE_GLES=0
+		$(cmake-utils_use_enable leveldb LEVELDB)
+		$(cmake-utils_use_enable redis REDIS)
+		-DENABLE_SPATIAL=$(usex spatial)
+		$(cmake-utils_use_enable sound SOUND)
+		$(cmake-utils_use luajit ENABLE_LUAJIT)
+		-DRUN_IN_PLACE=0
+	)
+
+	use dedicated && mycmakeargs+=(
+		-DIRRLICHT_SOURCE_DIR=/the/irrlicht/source
+		-DIRRLICHT_INCLUDE_DIR=/usr/include/irrlicht
+	)
+
+	cmake-utils_src_configure
+}
+
+src_compile() {
+	cmake-utils_src_compile
+
+	if use doc ; then
+		cmake-utils_src_compile doc
+	fi
+}
+
+src_install() {
+	cmake-utils_src_install
+
+	if use server || use dedicated ; then
+		newinitd "${FILESDIR}"/minetestserver.initd minetest-server
+		newconfd "${T}"/minetestserver.confd minetest-server
+	fi
+
+	if use doc ; then
+		cd "${CMAKE_BUILD_DIR}"/doc || die
+		dodoc -r html
+	fi
+}
+
+pkg_preinst() {
+	gnome2_icon_savelist
+}
+
+pkg_postinst() {
+	gnome2_icon_cache_update
+
+	if ! use dedicated ; then
+		elog
+		elog "optional dependencies:"
+		elog "	games-action/minetest_game (official mod)"
+		elog
+	fi
+
+	if use server || use dedicated ; then
+		elog
+		elog "Configure your server via /etc/conf.d/minetest-server"
+		elog "The user \"minetest\" is created with /var/lib/${PN} homedir."
+		elog "Default logfile is ~/minetest-server.log"
+		elog
+	fi
+}
+
+pkg_postrm() {
+	gnome2_icon_cache_update
+}


             reply	other threads:[~2015-09-09 16:26 UTC|newest]

Thread overview: 52+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-09-09 16:26 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2016-05-18 12:11 [gentoo-commits] repo/gentoo:master commit in: games-action/minetest/ Ian Delaney
2016-10-22 21:33 Patrice Clement
2017-08-26 11:24 Michael Palimaka
2017-09-02  8:16 Michał Górny
2017-11-12 17:26 Aaron Swenson
2018-05-20 23:26 Aaron Bauman
2018-06-09 14:15 Aaron Bauman
2018-06-09 18:19 Aaron Bauman
2018-06-17 20:34 David Seifert
2018-06-21  6:37 Georgy Yakovlev
2019-04-09  8:07 Patrice Clement
2019-04-09 23:57 David Seifert
2019-04-10 22:20 David Seifert
2019-06-09 20:17 Michał Górny
2019-06-27 15:05 Michał Górny
2019-06-27 15:05 Michał Górny
2019-06-27 15:05 Michał Górny
2019-09-19 22:06 James Le Cuirot
2019-09-19 22:06 James Le Cuirot
2019-11-12 21:35 James Le Cuirot
2019-11-12 21:35 James Le Cuirot
2019-11-17 21:38 James Le Cuirot
2020-02-22 22:10 James Le Cuirot
2020-04-07 22:51 James Le Cuirot
2020-04-07 22:51 James Le Cuirot
2020-07-11 13:44 James Le Cuirot
2020-07-11 13:44 James Le Cuirot
2020-09-06  5:55 Joonas Niilola
2020-11-12  8:18 Joonas Niilola
2021-02-24 20:47 James Le Cuirot
2021-02-24 20:47 James Le Cuirot
2021-04-10  6:31 Sam James
2021-04-14 16:12 Sam James
2021-05-12  7:36 Joonas Niilola
2021-05-12  8:54 Marek Szuba
2021-05-13 15:13 Marek Szuba
2021-05-13 15:13 Marek Szuba
2021-05-25  9:38 Marek Szuba
2021-08-13 15:26 Marek Szuba
2021-08-13 15:55 Marek Szuba
2022-02-10 12:19 Marek Szuba
2022-03-10  8:53 Marek Szuba
2022-05-25 22:43 Marek Szuba
2022-08-09 11:38 Marek Szuba
2022-08-09 11:38 Marek Szuba
2022-08-16 18:06 Marek Szuba
2022-09-21 18:33 Marek Szuba
2022-09-26  1:01 Marek Szuba
2023-04-10 10:27 Marek Szuba
2023-04-10 13:20 Marek Szuba
2023-12-14 15:34 Marek Szuba

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1441815466.efc6de2c30bca5986395b14203e52e0c4aaf3bf0.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox